<!DOCTYPE html>
<html lang="es">
<%- include('./partials/head') %>



<body>
    <% if (user) { %>


    <div class="container-fluid">
        <div class="row">
            <%- include('./partials/header') %> 
            <%- include('./partials/menu') %>          
            <%- include('./partials/sidebar') %> 
            <h3 class="col-12">DISTRIBUIDORES DE LA TROPA</h3>
            <div class="table-responsive-sm">

           
            <table class="table table-sm table-dark">
                <thead>
                    <tr>
                      <th scope="col">ID</th>
                      <th scope="col">Articulo</th>
                      <th scope="col">Stock</th>
                      <th scope="col">Distribuidor</th>
                      <th scope="col">Color</th>
                      <th scope="col">Cantidad</th>
                      <th scope="col">Descripción</th>
                      <th scope="col">Precio</th>
                      <th scope="col">Image</th>
                    </tr>
                  </thead>
                
                  <% products.forEach(product => { %>                  
                      <tbody>
                        <tr>
                          <th scope="row"><%= product.id %> </th>
                          <td><%= product.name %> </td>
                          <td><%=product.stock%></td>
                          <td>
                            <% distributors.forEach(distributor => { %>
                                <% if (distributor.id == product.distributor_id) { %>
                                    <%=distributor.name%>
                                <% } %>
                               <% }) %>
                            </td>
                            <td><%=product.color%></td>
                            <td><%=product.quantity%></td>
                            <td><%=product.description%></td>
                            <td>$<%=product.price%></td>
                          <td><img src="/images/img-product/<%= product.image %>" style="width: 50px;" class="img-fluid" alt="img-distributor" ></td>
                        </tr>
                      </tbody>
                      <% }) %>
                    
                </table>
              </div>

        </div>
    </div>
    <%- include('./partials/scripts') %>
    <% } %>
</body>

</html>